# Specify largest array CA will transport
# Note for N sscanRecord data points, need (N+1)*8 bytes, else MEDM
# plot doesn't display
epicsEnvSet("EPICS_CA_MAX_ARRAY_BYTES","64008")

< envPaths

dbLoadDatabase("$(TOP)/dbd/regScanPosGenTest.dbd")
regScanPosGenTest_registerRecordDeviceDriver(pdbbase)

# Scans
dbLoadRecords("$(SSCAN)/sscanApp/Db/scan.db","P=sim17bm:,MAXPTS1=2000,MAXPTS2=1000,MAXPTS3=10,MAXPTS4=10,MAXPTSH=1024")

dbLoadRecords("$(TOP)/regScanPosGenApp/Db/regScanPosGen.db","P=sim17bm:")

# For testing only
dbLoadRecords("$(TOP)/regScanPosGenApp/Db/regScanPosGenTest.db","P=sim17bm:")

iocInit()

seq("regScanPosGen","P=sim17bm:")

# Test cases

#regScanPosGenTestRunner()
