#include "regScanPosGenLib.h"

int imcaGenerateScanPositions(double positions[], int positionsSize,
    int positionsIndex, double startOfRegion, double endOfRegion,
    double stepSizeOfRegion) {
  double position;
  int i;

  position = startOfRegion;
  i = positionsIndex;

  for (;;) {
    if (i >= positionsSize) break;
    positions[i] = position;
    i++;
    position += stepSizeOfRegion;
    if (stepSizeOfRegion == 0.0) break;
    if (stepSizeOfRegion < 0.0 && position < endOfRegion) break;
    if (stepSizeOfRegion > 0.0 && position > endOfRegion) break;
  }

  return i - positionsIndex;
}
